Is HF V4 firmware B...
 

Is HF V4 firmware Beta 37 compatible with LCS?  

  RSS

Cetis1
(@cetis1)
Active Member
Joined: 9 years ago
Posts: 8
06/01/2011 10:25 pm  

I was using HF-6065 V4 firmware for over a month. It worked quite well. I wrote several customized P-code programs successfully, including a new 150 (scanprog) and 170 (dectscan). I was able to save and reload my P-code programs using the LCS file manager.

Today I loaded new firmware Beta 37 into my HF-6065, then did factory reset, then tried to reload my customized P-code using LCS.

I am able to load all programs except 150 (scanprog). But the program 150 stays "factory default." I have not yet tried to manually enter my P-code line-by-line, but perhaps that is the only possible way to change the factory default program 150 when using Beta 37 firmware?


Quote
Moderator
(@moderator)
Member Admin
Joined: 9 years ago
Posts: 1048
07/01/2011 9:36 am  

Yes it's fully compatible. Please just add you code via copy and paste and it should work fine.

Snip


ReplyQuote
Cetis1
(@cetis1)
Active Member
Joined: 9 years ago
Posts: 8
07/01/2011 4:14 pm  

Yes, copying and pasting my P-code (for program 150) into the file manager window worked.

But in the past (with HF V4 firmware Beta31), I used "load" button frequently, and it seemed to me that it loaded program 150 from the .fsi file. Maybe I only thought it did this?

It appears that the "save" button always saves ALL of the P-code programs into the .fsi, including program 150.

But when I "load" an .fsi program into the HF, it loads everything BUT program 150. Perhaps this "write protection" of program 150 is intentional? What happens if program 150 is deleted? Would this lock up the HF and cause a firmware crash?


ReplyQuote
Moderator
(@moderator)
Member Admin
Joined: 9 years ago
Posts: 1048
08/01/2011 6:49 pm  

You can delete program 150 but LCS will allow it via the import function.

Snip


ReplyQuote
Share: